# Retrieve a brand context by ID

Retrieves a brand context's metadata and its complete nested folder or file tree index. No document content is included.

Endpoint: GET /api/v1/brand-contexts/{brandContextId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `brandContextId` (string, required)
    The unique identifier of the brand context to retrieve. To get this ID, you can use the [List brand contexts](#operation/brand-contexts-list_brand_contexts) endpoint to retrieve the list of brand contexts in your organization.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `brandContextId` (string)
    The unique identifier of the brand context.
    Example: b1234567-89ab-4cde-f012-3456789abcde

  - `displayName` (string)
    The display name of the brand context.
    Example: Contoso

  - `sourceRef` (any)
    The source URL the brand context was bootstrapped from.
    Example: https://www.contoso.com

  - `runStatus` (any)
    The status of the most recent bootstrap run.
    Example: completed

  - `createdDateTime` (string)
    Date and time the brand context was created.
    Example: 2026-07-01T10:00:00Z

  - `updatedDateTime` (string)
    Date and time the brand context was last updated.
    Example: 2026-07-02T11:00:00Z

  - `children` (array)
    The nested folder or file tree of the brand context.

  - `children.brandContextItemId` (string)
    The unique identifier of the brand context item, which can be a folder or a file.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `children.displayName` (string)
    The display name of the folder or file.
    Example: persona-profiles

  - `children.type` (string)
    Always 'file' for this node type.
    Example: file

  - `children.createdDateTime` (string)
    Date and time the brand context file was created.
    Example: 2026-07-01T10:00:00Z

  - `children.updatedDateTime` (string)
    Date and time the brand context file was last updated.
    Example: 2026-07-02T11:00:00Z

  - `children.type` (string)
    Always 'folder' for this node type.
    Example: folder

  - `children.createdDateTime` (string)
    Date and time the brand context item was created.
    Example: 2026-07-01T10:00:00Z

  - `children.updatedDateTime` (string)
    Date and time the brand context item was last updated.
    Example: 2026-07-02T11:00:00Z

  - `children.children` (array)
    Nested folders or files. Always present, empty if this folder has no descendants.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

